%define major 	1
%define api_version 3.0
%define libname %mklibname xml++ %{api_version} %major
%define libnamedev %mklibname -d xml++ %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: 		libxml++
Summary: 	C++ interface for working with XML files
Version:	3.2.3
Release: 	%mkrel 2
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://libxmlplusplus.sf.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.1
BuildRequires:	doxygen
BuildRequires:	meson

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libnamedev}
Summary:	Headers for developing programs that will use %name
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d xml++ 2.6 2

%description	-n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q

%build
%meson \
	-Dbuild-documentation=false
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxml++-%{api_version}.so.%{major}
%{_libdir}/libxml++-%{api_version}.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/*
%dir %_libdir/libxml++-%{api_version}
%_libdir/libxml++-%{api_version}/include/libxml++config.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Wed Jan 26 2022 tex - 3.2.3-2pclos2022
- rebuild against updates

* Fri May 28 2021 tex - 3.2.3-1pclos2021
- new version

* Fri Oct 02 2020 tex - 3.2.2-1pclos2020
- new version 3.2.2
